
import random
from arrow import arrow, get

def random_date(arg1, arg2):
    """
    Generates a random date between two dates provided as arguments.

    Args:
    arg1 (arrow.Arrow): Start date for the range.
    arg2 (arrow.Arrow): End date for the range.

    Returns:
    arrow.Arrow: A random date between the two provided dates.
    """
    delta = arg2 - arg1
    random_seconds = random.randrange(delta.seconds)
    return arg1.replace(seconds=random_seconds)



